WTypes (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: WTypes

Package com.sun.jna.platform.win32

# Interface WTypes

public interface WTypes
Constant defined in WTypes.h

Author:
  scott.palmer, Tobias Wolf, wolf.tobias@gmx.net

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Interface
  Description
  `static class`
  `WTypes.BSTR`
  BSTR wrapper.
  `static class`
  `WTypes.BSTRByReference`
  `static class`
  `WTypes.LPOLESTR`
  `static class`
  `WTypes.LPSTR`
  `static class`
  `WTypes.LPWSTR`
  `static class`
  `WTypes.VARTYPE`
  `static class`
  `WTypes.VARTYPEByReference`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CLSCTX_ACTIVATE_32_BIT_SERVER`
  `static final int`
  `CLSCTX_ACTIVATE_64_BIT_SERVER`
  `static final int`
  `CLSCTX_ACTIVATE_AAA_AS_IU`
  `static final int`
  `CLSCTX_ALL`
  `static final int`
  `CLSCTX_APPCONTAINER`
  `static final int`
  `CLSCTX_DISABLE_AAA`
  `static final int`
  `CLSCTX_ENABLE_AAA`
  `static final int`
  `CLSCTX_ENABLE_CLOAKING`
  `static final int`
  `CLSCTX_ENABLE_CODE_DOWNLOAD`
  `static final int`
  `CLSCTX_FROM_DEFAULT_CONTEXT`
  `static final int`
  `CLSCTX_INPROC_HANDLER`
  `static final int`
  `CLSCTX_INPROC_HANDLER16`
  `static final int`
  `CLSCTX_INPROC_SERVER`
  `static final int`
  `CLSCTX_INPROC_SERVER16`
  `static final int`
  `CLSCTX_LOCAL_SERVER`
  `static final int`
  `CLSCTX_NO_CODE_DOWNLOAD`
  `static final int`
  `CLSCTX_NO_CUSTOM_MARSHAL`
  `static final int`
  `CLSCTX_NO_FAILURE_LOG`
  `static final int`
  `CLSCTX_PS_DLL`
  `static final int`
  `CLSCTX_REMOTE_SERVER`
  `static final int`
  `CLSCTX_RESERVED1`
  `static final int`
  `CLSCTX_RESERVED2`
  `static final int`
  `CLSCTX_RESERVED3`
  `static final int`
  `CLSCTX_RESERVED4`
  `static final int`
  `CLSCTX_RESERVED5`
  `static final int`
  `CLSCTX_SERVER`

- ## Field Details

  - ### CLSCTX_INPROC_SERVER

    static final int CLSCTX_INPROC_SERVER
    See Also:
      - Constant Field Values

  - ### CLSCTX_INPROC_HANDLER

    static final int CLSCTX_INPROC_HANDLER
    See Also:
      - Constant Field Values

  - ### CLSCTX_LOCAL_SERVER

    static final int CLSCTX_LOCAL_SERVER
    See Also:
      - Constant Field Values

  - ### CLSCTX_INPROC_SERVER16

    static final int CLSCTX_INPROC_SERVER16
    See Also:
      - Constant Field Values

  - ### CLSCTX_REMOTE_SERVER

    static final int CLSCTX_REMOTE_SERVER
    See Also:
      - Constant Field Values

  - ### CLSCTX_INPROC_HANDLER16

    static final int CLSCTX_INPROC_HANDLER16
    See Also:
      - Constant Field Values

  - ### CLSCTX_RESERVED1

    static final int CLSCTX_RESERVED1
    See Also:
      - Constant Field Values

  - ### CLSCTX_RESERVED2

    static final int CLSCTX_RESERVED2
    See Also:
      - Constant Field Values

  - ### CLSCTX_RESERVED3

    static final int CLSCTX_RESERVED3
    See Also:
      - Constant Field Values

  - ### CLSCTX_RESERVED4

    static final int CLSCTX_RESERVED4
    See Also:
      - Constant Field Values

  - ### CLSCTX_NO_CODE_DOWNLOAD

    static final int CLSCTX_NO_CODE_DOWNLOAD
    See Also:
      - Constant Field Values

  - ### CLSCTX_RESERVED5

    static final int CLSCTX_RESERVED5
    See Also:
      - Constant Field Values

  - ### CLSCTX_NO_CUSTOM_MARSHAL

    static final int CLSCTX_NO_CUSTOM_MARSHAL
    See Also:
      - Constant Field Values

  - ### CLSCTX_ENABLE_CODE_DOWNLOAD

    static final int CLSCTX_ENABLE_CODE_DOWNLOAD
    See Also:
      - Constant Field Values

  - ### CLSCTX_NO_FAILURE_LOG

    static final int CLSCTX_NO_FAILURE_LOG
    See Also:
      - Constant Field Values

  - ### CLSCTX_DISABLE_AAA

    static final int CLSCTX_DISABLE_AAA
    See Also:
      - Constant Field Values

  - ### CLSCTX_ENABLE_AAA

    static final int CLSCTX_ENABLE_AAA
    See Also:
      - Constant Field Values

  - ### CLSCTX_FROM_DEFAULT_CONTEXT

    static final int CLSCTX_FROM_DEFAULT_CONTEXT
    See Also:
      - Constant Field Values

  - ### CLSCTX_ACTIVATE_32_BIT_SERVER

    static final int CLSCTX_ACTIVATE_32_BIT_SERVER
    See Also:
      - Constant Field Values

  - ### CLSCTX_ACTIVATE_64_BIT_SERVER

    static final int CLSCTX_ACTIVATE_64_BIT_SERVER
    See Also:
      - Constant Field Values

  - ### CLSCTX_ENABLE_CLOAKING

    static final int CLSCTX_ENABLE_CLOAKING
    See Also:
      - Constant Field Values

  - ### CLSCTX_APPCONTAINER

    static final int CLSCTX_APPCONTAINER
    See Also:
      - Constant Field Values

  - ### CLSCTX_ACTIVATE_AAA_AS_IU

    static final int CLSCTX_ACTIVATE_AAA_AS_IU
    See Also:
      - Constant Field Values

  - ### CLSCTX_PS_DLL

    static final int CLSCTX_PS_DLL
    See Also:
      - Constant Field Values

  - ### CLSCTX_SERVER

    static final int CLSCTX_SERVER
    See Also:
      - Constant Field Values

  - ### CLSCTX_ALL

    static final int CLSCTX_ALL
    See Also:
      - Constant Field Values